Skip to main content
POST
/
clients
/
me
/
integrations
/
hypernative
/
addresses
/
scan
Scan addresses
curl --request POST \
  --url https://api.portalhq.io/api/v3/clients/me/integrations/hypernative/addresses/scan \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "addresses": [
    "<string>"
  ],
  "screenerPolicyId": "<string>"
}
'
{
  "data": {
    "rawResponse": [
      {
        "address": "<string>",
        "recommendation": "<string>",
        "severity": "<string>",
        "totalIncomingUsd": "<string>",
        "policyId": "<string>",
        "timestamp": "<string>",
        "flags": [
          {}
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.

Body

application/json
addresses
string[]
required

Array of blockchain addresses to scan.

screenerPolicyId
string

Optional screener policy ID.

Response

Scan completed successfully

data
object